//var consoleService = Components.classes['@mozilla.org/consoleservice;1'].getService(Components.interfaces.nsIConsoleService);
//consoleService.logStringMessage("1");

// Global prefs var
var gpref = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefBranch);


function loadOptions()
{
	try
	{	
		window.document.getElementById('wellrounded-urlbar').checked=gpref.getBoolPref('wellrounded.urlbar');
		window.document.getElementById('wellrounded-searchbar').checked=gpref.getBoolPref('wellrounded.searchbar');
		window.document.getElementById('wellrounded-googlebar').checked=gpref.getBoolPref('wellrounded.googlebar');
	}
	catch (e)
	{
		//this.dumpErr(e)
	}

	return true;
}

function saveOptions()
{	
	try
	{
		gpref.setBoolPref('wellrounded.urlbar', Boolean(window.document.getElementById('wellrounded-urlbar').checked));
		gpref.setBoolPref('wellrounded.searchbar', Boolean(window.document.getElementById('wellrounded-searchbar').checked));
		gpref.setBoolPref('wellrounded.googlebar', Boolean(window.document.getElementById('wellrounded-googlebar').checked));
		
	}
	catch (e)
	{
		//this.dumpErr(e)
	}
	return true;
}


// Set the attributes according to preferences
window.addEventListener('load',
	
	function()
	{
		document.getElementById('navigator-toolbox').setAttribute('wellrounded-urlbar',gpref.getBoolPref('wellrounded.urlbar'));
		document.getElementById('navigator-toolbox').setAttribute('wellrounded-searchbar',gpref.getBoolPref('wellrounded.searchbar'));
		document.getElementById('navigator-toolbox').setAttribute('wellrounded-googlebar',gpref.getBoolPref('wellrounded.googlebar'));

	}, false
	
); // end window.addEventListener('load'...)
